"""Remove alert report id

Revision ID: 2336c8ef3567
Revises: e662f91ce001
Create Date: 2018-06-14 16:00:02.774387

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "2336c8ef3567"
down_revision = "e662f91ce001"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("ALTER TABLE alerts DROP CONSTRAINT alerts_pkey")
    op.alter_column("alerts", "org_key", new_column_name="org_id")
    op.create_primary_key(
        "alerts_pkey", "alerts", ["org_id", "feed_id", "feed_version"]
    )

    op.drop_column("alerts", "report_id")
    op.drop_column("alerts", "alert")


def downgrade():  # pragma: no cover
    op.add_column("alerts", sa.Column("alert", sa.Boolean(), nullable=False))
    op.add_column(
        "alerts",
        sa.Column("report_id", sa.VARCHAR(), autoincrement=False, nullable=False),
    )
    op.execute("ALTER TABLE alerts DROP CONSTRAINT alerts_pkey")
    op.alter_column("alerts", "org_id", new_column_name="org_key")
    op.create_primary_key(
        "alerts_pkey", "alerts", ["org_id", "feed_id", "feed_version", "report_id"]
    )
