"""ignore report per org

Revision ID: 96749ada280d
Revises: 11311da39745
Create Date: 2018-10-06 20:37:03.121356

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "96749ada280d"
down_revision = "11311da39745"
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        "ignore_report_iocs", sa.Column("org_id", sa.String(), nullable=False)
    )
    op.drop_constraint(
        "ignore_report_iocs_watchlist_id_fkey", "ignore_report_iocs", type_="foreignkey"
    )
    op.drop_column("ignore_report_iocs", "watchlist_id")
    op.create_primary_key(
        "ignore_report_iocs_pkey",
        "ignore_report_iocs",
        ["org_id", "report_id", "ioc_id"],
    )

    op.add_column("ignore_reports", sa.Column("org_id", sa.String(), nullable=False))
    op.drop_constraint(
        "ignore_reports_watchlist_id_fkey", "ignore_reports", type_="foreignkey"
    )
    op.drop_column("ignore_reports", "watchlist_id")
    op.create_primary_key(
        "ignore_report_pkey", "ignore_reports", ["org_id", "report_id"]
    )


def downgrade():  # pragma: no cover
    op.add_column(
        "ignore_reports",
        sa.Column("watchlist_id", sa.VARCHAR(), autoincrement=False, nullable=False),
    )
    op.create_foreign_key(
        "ignore_reports_watchlist_id_fkey",
        "ignore_reports",
        "watchlists",
        ["watchlist_id"],
        ["id"],
        ondelete="CASCADE",
    )
    op.drop_column("ignore_reports", "org_id")
    op.create_primary_key(
        "ignore_report_pkey", "ignore_report_iocs", ["watchlist_id", "report_id"]
    )

    op.add_column(
        "ignore_report_iocs",
        sa.Column("watchlist_id", sa.VARCHAR(), autoincrement=False, nullable=False),
    )
    op.create_foreign_key(
        "ignore_report_iocs_watchlist_id_fkey",
        "ignore_report_iocs",
        "watchlists",
        ["watchlist_id"],
        ["id"],
        ondelete="CASCADE",
    )
    op.drop_column("ignore_report_iocs", "org_id")
    op.create_primary_key(
        "ignore_report_iocs_pkey",
        "ignore_report_iocs",
        ["watchlist_id", "report_id", "ioc_id"],
    )
