"""allow deferrable ioc fk

Revision ID: abed9042d4cb
Revises: ee31f8ccf334
Create Date: 2018-07-10 12:34:45.901014

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "abed9042d4cb"
down_revision = "ee31f8ccf334"
branch_labels = None
depends_on = None


def upgrade():
    op.drop_constraint("iocs_report_id_fkey", "iocs", type_="foreignkey")
    op.create_foreign_key(
        "iocs_report_id_fkey",
        "iocs",
        "reports",
        ["report_id", "feed_id"],
        ["id", "feed_id"],
        ondelete="CASCADE",
        deferrable=True,
    )
    op.drop_constraint("iocs_v2_report_id_fkey", "iocs_v2", type_="foreignkey")
    op.create_foreign_key(
        "iocs_v2_report_id_fkey",
        "iocs_v2",
        "reports",
        ["report_id", "feed_id"],
        ["id", "feed_id"],
        ondelete="CASCADE",
        deferrable=True,
    )


def downgrade():  # pragma: no cover
    op.drop_constraint(None, "iocs_v2", type_="foreignkey")
    op.create_foreign_key(
        "iocs_v2_report_id_fkey",
        "iocs_v2",
        "reports",
        ["report_id", "feed_id"],
        ["id", "feed_id"],
        ondelete="CASCADE",
    )
    op.drop_constraint(None, "iocs", type_="foreignkey")
    op.create_foreign_key(
        "iocs_report_id_fkey",
        "iocs",
        "reports",
        ["report_id", "feed_id"],
        ["id", "feed_id"],
        ondelete="CASCADE",
    )
