"""add watchlist builds

Revision ID: c35eef54382e
Revises: 75b1d2d16b74
Create Date: 2019-02-25 20:48:24.462146

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "c35eef54382e"
down_revision = "75b1d2d16b74"
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        "organization_watchlist_builds",
        sa.Column("org_id", sa.String(), nullable=False),
        sa.Column("build_timestamp", sa.DateTime(timezone=True), nullable=False),
        sa.PrimaryKeyConstraint("org_id"),
    )
    op.alter_column(
        "organization_watchlist_states",
        "dirty_timestamp",
        existing_type=postgresql.TIMESTAMP(timezone=True),
        nullable=False,
    )


def downgrade():  # pragma: no cover
    op.alter_column(
        "organization_watchlist_states",
        "dirty_timestamp",
        existing_type=postgresql.TIMESTAMP(timezone=True),
        nullable=True,
    )
    op.drop_table("organization_watchlist_builds")
