import alembic.config
import logging
import os

from feed_manager.utils.config import Config
from feed_manager.utils.db import get_engine

_logger = logging.getLogger(__name__)


async def db_upgrade(config: Config, target: str = "head"):
    alembic_cfg = alembic.config.Config()

    alembic_cfg.set_main_option(
        "script_location",
        os.path.join(os.path.dirname(os.path.abspath(__file__)), "../alembic"),
    )

    alembic_cfg.attributes["config"] = config
    alembic.config.command.upgrade(alembic_cfg, target)


async def db_downgrade(config: Config, target: str):  # pragma: no cover
    alembic_cfg = alembic.config.Config()

    alembic_cfg.set_main_option(
        "script_location",
        os.path.join(os.path.dirname(os.path.abspath(__file__)), "../alembic"),
    )

    alembic_cfg.attributes["config"] = config
    alembic.config.command.downgrade(alembic_cfg, target)
